/* 整體頁面 */
body
{
    font-family:"Microsoft JhengHei", sans-serif;
    background-color:#f5f7fb;

    background-image: url("img/bg.png");
    background-repeat: no-repeat;
    background-position: center;
    background-attachment: fixed;
    background-size: cover;
    
    margin:0;
}

/* header */
header
{
    text-align: center;
    padding: 30px;

    background: linear-gradient(135deg, #4a6fa5, #6fbf73);

    color:white;
    border-radius: 0 0 20px 20px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}

/* 導覽列 */
nav
{
    background-color:#333;
}

nav ul
{
    list-style:none;
    display:flex;
    justify-content:center;
    padding:10px;
    margin:0;
}

nav li
{
    margin:0 15px;
}

/* 連結 */
nav a
{
    color:white;
    text-decoration:none;
    font-weight:bold;
}

/* pseudo-class */
nav a:hover
{
    color:yellow;
}

/* 區塊 */
section
{
    width:80%;
    margin:30px auto;
    padding:20px;

    background-color: #ffffff;
    background-image: url("img/pattern.png");
    background-repeat: repeat;
    background-size: 100px;

    border-radius:10px;
    box-shadow:0 0 10px rgba(0,0,0,0.1);
}

section:hover
{
    transform: scale(1.02);
    transition: 0.3s;
}

/* id 選擇器 */
#basic
{
    border-left:6px solid #4a6fa5;
}

#study
{
    border-left:6px solid #6fbf73;
}

#test
{
    border-left:6px solid #ff9f43;
}

/* H1 */
h1
{
    margin:0;
    font-size: 32px;

    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
}
h1::after
{
    content: "✨";
}

/* 標題 */
h2
{
    color:#333;
    border-bottom:2px solid #ddd;
    padding-bottom:5px;

    text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.2);
}

/* pseudo-element */
h2::before
{
    content:"★ ";
    color:#ff9f43;
}

/* class 選擇器 */
.highlight
{
    color:#e63946;
    font-weight:bold;
}

/* 圖片 */
img
{
    display:block;
    margin:15px auto;
    border-radius:10px;
}

/* 一般連結 */
a
{
    color:#0066cc;
}

a:hover
{
    text-decoration:underline;
}